# Feeds

## Create feed

> Create a custom feed or view feed for a given workspace.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[{"description":"Fetch lists of conversations based on filters","name":"feed"}],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"CreateFeed":{"type":"object","additionalProperties":false,"required":["indexType","name"],"properties":{"indexType":{"type":"string","enum":["custom","view","privateview"]},"name":{"type":"string"},"emoji":{"type":"string"},"query":{"$ref":"#/components/schemas/SearchFeedItemsRequest"},"itemListOptions":{"$ref":"#/components/schemas/FeedItemListOptions"},"accessEntities":{"type":"array","items":{"$ref":"#/components/schemas/AccessEntity"}}}},"SearchFeedItemsRequest":{"type":"object","required":[],"additionalProperties":false,"properties":{"conversationIds":{"type":"array","items":{"type":"string","format":"uuid"}},"sort":{"type":"string","default":"createdAt","enum":["createdAt","lastActivity","lastMessageByContact","slaExpires"]},"countOnly":{"type":"boolean","default":false,"description":"Return only the count of the results, not the results themselves"},"indexType":{"type":"string","enum":["channel","participant","team","agent","custom","task"]},"indexId":{"type":"string"},"itemIds":{"type":"array","items":{"type":"string","format":"uuid"}},"ticketNumbers":{"type":"array","items":{"type":"number"}},"itemType":{"type":"string","enum":["conversation","conference","task"]},"itemTypes":{"type":"array","items":{"type":"string","enum":["conversation","conference","task"]}},"unassigned":{"deprecated":true,"type":"boolean","description":"Search for feed items that have no agent assigned."},"agentIds":{"type":"array","items":{"oneOf":[{"type":"string","format":"uuid"},{"type":"string","enum":["me","any","none"]}]}},"teamIds":{"type":"array","items":{"type":"string","format":"uuid"}},"closed":{"type":"boolean"},"archived":{"type":"boolean"},"replyStatus":{"type":"string","enum":["noFollowUp","noCustomerReply","noAgentReply"]},"seen":{"type":"boolean"},"tagIds":{"type":"array","items":{"type":"string","format":"uuid"}},"conversationName":{"type":"string"},"conversationChannelIds":{"type":"array","items":{"type":"string","format":"uuid"}},"conversationStatuses":{"type":"array","items":{"type":"string","enum":["active","closed","deleted"]}},"conferenceStatuses":{"type":"array","items":{"type":"string","enum":["accepted","ringing","connecting","enqueued","active","hold","ended"]}},"conversationFeaturedParticipantIds":{"deprecated":true,"type":"array","items":{"oneOf":[{"type":"string","format":"uuid"},{"type":"string","enum":["me"]}]}},"participants":{"type":"object","additionalProperties":false,"properties":{"contacts":{"type":"array","items":{"type":"string","format":"uuid"}},"agents":{"type":"array","items":{"oneOf":[{"type":"string","format":"uuid"},{"type":"string","enum":["me"]}]}}}},"conversationParticipantTypes":{"type":"array","items":{"$ref":"#/components/schemas/ParticipantType"}},"conversationExcludeParticipantTypes":{"type":"array","items":{"$ref":"#/components/schemas/ParticipantType"}},"conversationLastMessageSenderParticipantTypes":{"type":"array","items":{"$ref":"#/components/schemas/ParticipantType"}},"fromContact":{"oneOf":[{"type":"object","additionalProperties":false,"required":["id"],"properties":{"id":{"type":"string","format":"uuid"}}},{"type":"object","additionalProperties":false,"required":["identifier"],"properties":{"identifier":{"type":"object","additionalProperties":false,"required":["key","value"],"properties":{"key":{"type":"string","minLength":1},"value":{"type":"string","minLength":1}}}}}]},"dynamicFields":{"$ref":"#/components/schemas/UpdateSummaryForm"},"conferenceId":{"type":"string","format":"uuid"},"itemStatuses":{"type":"array","items":{"type":"string","enum":["open","closed","archived"]}},"dateFrom":{"type":"string","format":"date-time"},"dateTo":{"type":"string","format":"date-time"},"searchTerm":{"type":"string"},"slaPolicyId":{"type":"string","format":"uuid"},"hasSlaPolicy":{"type":"boolean"},"slaPolicyStatus":{"$ref":"#/components/schemas/inbox.sla.policy.status"},"slaMetric":{"$ref":"#/components/schemas/inbox.sla.metric"},"slaStatus":{"type":"string","enum":["active","expired"],"deprecated":true},"slaExpiresBefore":{"type":"string","format":"date-time","deprecated":true},"slaExpiresAfter":{"type":"string","format":"date-time","deprecated":true},"query":{"$ref":"#/components/schemas/AnyPredicate"},"spam":{"type":"boolean","description":"If true, only return spam. Otherwise, only non-spam."}}},"ParticipantType":{"type":"string","enum":["user","contact","agent","flow","channel","connector"]},"UpdateSummaryForm":{"type":"object","nullable":true,"additionalProperties":false,"properties":{"settingsId":{"type":"string","description":"Optional. Either the uuid settings id, or \"default\" to use the default settings.    \nIf not specified, it will validate form input against the last saved form.\n"},"fields":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"selectedValueIds":{"type":"array","nullable":true,"items":{"type":"string"}},"valueText":{"type":"string","nullable":true},"valueNumber":{"type":"number","nullable":true},"valueBoolean":{"nullable":true,"type":"boolean"},"valueDate":{"type":"string","format":"date","nullable":true,"description":"The date value to set or search for.\n"},"valueDateBefore":{"type":"string","format":"date","nullable":true,"description":"The date value to set or search for.\n"},"valueDateAfter":{"type":"string","format":"date","nullable":true,"description":"The date value to set or search for.\n"}}}}}},"inbox.sla.policy.status":{"description":"Reflects the overall state of the SLA policy on a ticket.\n* `ok`: all metrics are green.\n* `needsAttention`: one or more metrics are in a warning state.\n* `breached`: one or more metrics are in a breached state.\n","enum":["ok","needsAttention","breached"],"type":"string"},"inbox.sla.metric":{"enum":["firstReplyTime","nextReplyTime"],"type":"string"},"AnyPredicate":{"anyOf":[{"$ref":"#/components/schemas/CompositionPredicate"},{"$ref":"#/components/schemas/ValuePredicate"}]},"CompositionPredicate":{"type":"object","additionalProperties":false,"properties":{"operator":{"type":"string","enum":["and","or","not"]},"children":{"type":"array","items":{"$ref":"#/components/schemas/AnyPredicate"}}}},"ValuePredicate":{"anyOf":[{"$ref":"#/components/schemas/AbsoluteDatePredicate"},{"$ref":"#/components/schemas/StringPredicate"},{"$ref":"#/components/schemas/NumberPredicate"},{"$ref":"#/components/schemas/BooleanPredicate"},{"$ref":"#/components/schemas/PresencePredicate"},{"$ref":"#/components/schemas/DynamicFieldsPredicate"}]},"AbsoluteDatePredicate":{"type":"object","additionalProperties":false,"required":["attributeName","operator","value"],"properties":{"attributeName":{"type":"string"},"operator":{"type":"string","enum":["is-after","is-before","is-on","is-equal-or-after","is-equal-or-before","is-between"]},"value":{"oneOf":[{"type":"string","description":"ISO 8601 (RFC3339) date-time format, should contain timezone.\nUTC example: \"2021-01-02T09:22:12.012Z\". UTC+1 Example: \"2021-01-01T09:22:12.012+01:00\"\nThere is one exception:\n  - \"date/is-on\" operator should be formatted as YYYY-MM-DD e.g. \"2021-12-31\";\n"},{"type":"array","items":{"type":"string"}}]}}},"StringPredicate":{"type":"object","additionalProperties":false,"required":["attributeName","operator","value"],"properties":{"attributeName":{"type":"string"},"operator":{"type":"string","enum":["contains","equals","in","matches","conventional-match","not-equals","starts-with"]},"value":{"oneOf":[{"type":"string"},{"type":"array","items":{"type":"string"}}]}}},"NumberPredicate":{"type":"object","additionalProperties":false,"required":["attributeName","operator","value"],"properties":{"attributeName":{"type":"string"},"operator":{"type":"string","enum":["equals","is-greater-than","is-less-than","in"]},"value":{"oneOf":[{"type":"number"},{"type":"array","items":{"type":"number"}}]}}},"BooleanPredicate":{"type":"object","additionalProperties":false,"required":["attributeName","operator","value"],"properties":{"attributeName":{"type":"string"},"operator":{"type":"string","enum":["equals","is-true","is-false"]},"value":{"type":"boolean"}}},"PresencePredicate":{"type":"object","additionalProperties":false,"required":["attributeName","operator"],"properties":{"attributeName":{"type":"string"},"operator":{"type":"string","enum":["is-set"]}}},"DynamicFieldsPredicate":{"type":"object","additionalProperties":false,"required":["attributeName","value"],"properties":{"attributeName":{"type":"string"},"operator":{"type":"string","enum":["and","or","not"]},"value":{"$ref":"#/components/schemas/UpdateSummaryForm"}}},"FeedItemListOptions":{"type":"object","nullable":true,"additionalProperties":false,"required":["sort","reverse","columns"],"properties":{"sort":{"type":"string","enum":["createdAt","lastActivity","lastMessageByContact","slaExpires"]},"reverse":{"type":"boolean"},"columns":{"type":"array","description":"A list of columns to display for each feed item.","items":{"type":"string","enum":["contact","contentSummary","lastActivityAt","createdAt","assignedTo","assignedToTeam","channel","tags","status","ticketNumber","sla","queue"]}}}},"AccessEntity":{"type":"object","additionalProperties":false,"required":["entityId","entityType"],"properties":{"entityId":{"type":"string","format":"uuid"},"entityType":{"type":"string","enum":["inbox-team","inbox-agent","managed-role","organization-role"]}}},"Feed":{"type":"object","additionalProperties":false,"required":["id","indexType","indexId","name","itemCount"],"properties":{"id":{"type":"string"},"indexType":{"type":"string"},"indexId":{"type":"string"},"name":{"type":"string"},"emoji":{"type":"string"},"query":{"$ref":"#/components/schemas/SearchFeedItemsRequest"},"itemListOptions":{"$ref":"#/components/schemas/FeedItemListOptions"},"accessEntities":{"type":"array","items":{"$ref":"#/components/schemas/AccessEntity"}},"itemCount":{"type":"integer"},"unseenCount":{"deprecated":true,"type":"integer"}}},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"},"error.validation":{"additionalProperties":false,"description":"A validation error returned from the API. The `details` map keys are JSON paths\npointing into the request body / parameters; values are arrays of human-readable\nmessages describing each problem with that path.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":{"items":{"type":"string"},"type":"array"},"description":"Per-field validation messages keyed by JSON path.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"ValidationError","type":"object"}},"responses":{"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."},"error.response.invalid_request":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.validation"}}},"description":"The request contains invalid parameters or body fields."}}},"paths":{"/workspaces/{workspaceId}/feeds":{"post":{"description":"Create a custom feed or view feed for a given workspace.","operationId":"createFeed","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateFeed"}}}},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Feed"}}},"description":"OK"},"404":{"$ref":"#/components/responses/error.response.not_found"},"422":{"$ref":"#/components/responses/error.response.invalid_request"}},"summary":"Create feed","tags":["feed"]}}}}
```

## List User Defined Feeds

> Retrieve a list of custom and view feeds for administration purposes.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[{"description":"Fetch lists of conversations based on filters","name":"feed"}],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"parameters":{"pagination.param.limit":{"description":"Limits the number of results to return.","in":"query","name":"limit","schema":{"default":25,"maximum":100,"type":"integer"}},"pagination.param.pageToken":{"description":"The cursor that keeps track of the current position in the results.","in":"query","name":"pageToken","schema":{"type":"string"}},"pagination.param.reverse":{"description":"Reverses the order in which the results are returned.","in":"query","name":"reverse","schema":{"default":false,"type":"boolean"}},"queryIndexType":{"description":"The type of feed.","in":"query","name":"indexType","schema":{"enum":["channel","participant","team","agent","custom","view","privateview","task"],"type":"string"}}},"schemas":{"FeedList":{"type":"object","required":["results"],"properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/Feed"}}}},"Feed":{"type":"object","additionalProperties":false,"required":["id","indexType","indexId","name","itemCount"],"properties":{"id":{"type":"string"},"indexType":{"type":"string"},"indexId":{"type":"string"},"name":{"type":"string"},"emoji":{"type":"string"},"query":{"$ref":"#/components/schemas/SearchFeedItemsRequest"},"itemListOptions":{"$ref":"#/components/schemas/FeedItemListOptions"},"accessEntities":{"type":"array","items":{"$ref":"#/components/schemas/AccessEntity"}},"itemCount":{"type":"integer"},"unseenCount":{"deprecated":true,"type":"integer"}}},"SearchFeedItemsRequest":{"type":"object","required":[],"additionalProperties":false,"properties":{"conversationIds":{"type":"array","items":{"type":"string","format":"uuid"}},"sort":{"type":"string","default":"createdAt","enum":["createdAt","lastActivity","lastMessageByContact","slaExpires"]},"countOnly":{"type":"boolean","default":false,"description":"Return only the count of the results, not the results themselves"},"indexType":{"type":"string","enum":["channel","participant","team","agent","custom","task"]},"indexId":{"type":"string"},"itemIds":{"type":"array","items":{"type":"string","format":"uuid"}},"ticketNumbers":{"type":"array","items":{"type":"number"}},"itemType":{"type":"string","enum":["conversation","conference","task"]},"itemTypes":{"type":"array","items":{"type":"string","enum":["conversation","conference","task"]}},"unassigned":{"deprecated":true,"type":"boolean","description":"Search for feed items that have no agent assigned."},"agentIds":{"type":"array","items":{"oneOf":[{"type":"string","format":"uuid"},{"type":"string","enum":["me","any","none"]}]}},"teamIds":{"type":"array","items":{"type":"string","format":"uuid"}},"closed":{"type":"boolean"},"archived":{"type":"boolean"},"replyStatus":{"type":"string","enum":["noFollowUp","noCustomerReply","noAgentReply"]},"seen":{"type":"boolean"},"tagIds":{"type":"array","items":{"type":"string","format":"uuid"}},"conversationName":{"type":"string"},"conversationChannelIds":{"type":"array","items":{"type":"string","format":"uuid"}},"conversationStatuses":{"type":"array","items":{"type":"string","enum":["active","closed","deleted"]}},"conferenceStatuses":{"type":"array","items":{"type":"string","enum":["accepted","ringing","connecting","enqueued","active","hold","ended"]}},"conversationFeaturedParticipantIds":{"deprecated":true,"type":"array","items":{"oneOf":[{"type":"string","format":"uuid"},{"type":"string","enum":["me"]}]}},"participants":{"type":"object","additionalProperties":false,"properties":{"contacts":{"type":"array","items":{"type":"string","format":"uuid"}},"agents":{"type":"array","items":{"oneOf":[{"type":"string","format":"uuid"},{"type":"string","enum":["me"]}]}}}},"conversationParticipantTypes":{"type":"array","items":{"$ref":"#/components/schemas/ParticipantType"}},"conversationExcludeParticipantTypes":{"type":"array","items":{"$ref":"#/components/schemas/ParticipantType"}},"conversationLastMessageSenderParticipantTypes":{"type":"array","items":{"$ref":"#/components/schemas/ParticipantType"}},"fromContact":{"oneOf":[{"type":"object","additionalProperties":false,"required":["id"],"properties":{"id":{"type":"string","format":"uuid"}}},{"type":"object","additionalProperties":false,"required":["identifier"],"properties":{"identifier":{"type":"object","additionalProperties":false,"required":["key","value"],"properties":{"key":{"type":"string","minLength":1},"value":{"type":"string","minLength":1}}}}}]},"dynamicFields":{"$ref":"#/components/schemas/UpdateSummaryForm"},"conferenceId":{"type":"string","format":"uuid"},"itemStatuses":{"type":"array","items":{"type":"string","enum":["open","closed","archived"]}},"dateFrom":{"type":"string","format":"date-time"},"dateTo":{"type":"string","format":"date-time"},"searchTerm":{"type":"string"},"slaPolicyId":{"type":"string","format":"uuid"},"hasSlaPolicy":{"type":"boolean"},"slaPolicyStatus":{"$ref":"#/components/schemas/inbox.sla.policy.status"},"slaMetric":{"$ref":"#/components/schemas/inbox.sla.metric"},"slaStatus":{"type":"string","enum":["active","expired"],"deprecated":true},"slaExpiresBefore":{"type":"string","format":"date-time","deprecated":true},"slaExpiresAfter":{"type":"string","format":"date-time","deprecated":true},"query":{"$ref":"#/components/schemas/AnyPredicate"},"spam":{"type":"boolean","description":"If true, only return spam. Otherwise, only non-spam."}}},"ParticipantType":{"type":"string","enum":["user","contact","agent","flow","channel","connector"]},"UpdateSummaryForm":{"type":"object","nullable":true,"additionalProperties":false,"properties":{"settingsId":{"type":"string","description":"Optional. Either the uuid settings id, or \"default\" to use the default settings.    \nIf not specified, it will validate form input against the last saved form.\n"},"fields":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"selectedValueIds":{"type":"array","nullable":true,"items":{"type":"string"}},"valueText":{"type":"string","nullable":true},"valueNumber":{"type":"number","nullable":true},"valueBoolean":{"nullable":true,"type":"boolean"},"valueDate":{"type":"string","format":"date","nullable":true,"description":"The date value to set or search for.\n"},"valueDateBefore":{"type":"string","format":"date","nullable":true,"description":"The date value to set or search for.\n"},"valueDateAfter":{"type":"string","format":"date","nullable":true,"description":"The date value to set or search for.\n"}}}}}},"inbox.sla.policy.status":{"description":"Reflects the overall state of the SLA policy on a ticket.\n* `ok`: all metrics are green.\n* `needsAttention`: one or more metrics are in a warning state.\n* `breached`: one or more metrics are in a breached state.\n","enum":["ok","needsAttention","breached"],"type":"string"},"inbox.sla.metric":{"enum":["firstReplyTime","nextReplyTime"],"type":"string"},"AnyPredicate":{"anyOf":[{"$ref":"#/components/schemas/CompositionPredicate"},{"$ref":"#/components/schemas/ValuePredicate"}]},"CompositionPredicate":{"type":"object","additionalProperties":false,"properties":{"operator":{"type":"string","enum":["and","or","not"]},"children":{"type":"array","items":{"$ref":"#/components/schemas/AnyPredicate"}}}},"ValuePredicate":{"anyOf":[{"$ref":"#/components/schemas/AbsoluteDatePredicate"},{"$ref":"#/components/schemas/StringPredicate"},{"$ref":"#/components/schemas/NumberPredicate"},{"$ref":"#/components/schemas/BooleanPredicate"},{"$ref":"#/components/schemas/PresencePredicate"},{"$ref":"#/components/schemas/DynamicFieldsPredicate"}]},"AbsoluteDatePredicate":{"type":"object","additionalProperties":false,"required":["attributeName","operator","value"],"properties":{"attributeName":{"type":"string"},"operator":{"type":"string","enum":["is-after","is-before","is-on","is-equal-or-after","is-equal-or-before","is-between"]},"value":{"oneOf":[{"type":"string","description":"ISO 8601 (RFC3339) date-time format, should contain timezone.\nUTC example: \"2021-01-02T09:22:12.012Z\". UTC+1 Example: \"2021-01-01T09:22:12.012+01:00\"\nThere is one exception:\n  - \"date/is-on\" operator should be formatted as YYYY-MM-DD e.g. \"2021-12-31\";\n"},{"type":"array","items":{"type":"string"}}]}}},"StringPredicate":{"type":"object","additionalProperties":false,"required":["attributeName","operator","value"],"properties":{"attributeName":{"type":"string"},"operator":{"type":"string","enum":["contains","equals","in","matches","conventional-match","not-equals","starts-with"]},"value":{"oneOf":[{"type":"string"},{"type":"array","items":{"type":"string"}}]}}},"NumberPredicate":{"type":"object","additionalProperties":false,"required":["attributeName","operator","value"],"properties":{"attributeName":{"type":"string"},"operator":{"type":"string","enum":["equals","is-greater-than","is-less-than","in"]},"value":{"oneOf":[{"type":"number"},{"type":"array","items":{"type":"number"}}]}}},"BooleanPredicate":{"type":"object","additionalProperties":false,"required":["attributeName","operator","value"],"properties":{"attributeName":{"type":"string"},"operator":{"type":"string","enum":["equals","is-true","is-false"]},"value":{"type":"boolean"}}},"PresencePredicate":{"type":"object","additionalProperties":false,"required":["attributeName","operator"],"properties":{"attributeName":{"type":"string"},"operator":{"type":"string","enum":["is-set"]}}},"DynamicFieldsPredicate":{"type":"object","additionalProperties":false,"required":["attributeName","value"],"properties":{"attributeName":{"type":"string"},"operator":{"type":"string","enum":["and","or","not"]},"value":{"$ref":"#/components/schemas/UpdateSummaryForm"}}},"FeedItemListOptions":{"type":"object","nullable":true,"additionalProperties":false,"required":["sort","reverse","columns"],"properties":{"sort":{"type":"string","enum":["createdAt","lastActivity","lastMessageByContact","slaExpires"]},"reverse":{"type":"boolean"},"columns":{"type":"array","description":"A list of columns to display for each feed item.","items":{"type":"string","enum":["contact","contentSummary","lastActivityAt","createdAt","assignedTo","assignedToTeam","channel","tags","status","ticketNumber","sla","queue"]}}}},"AccessEntity":{"type":"object","additionalProperties":false,"required":["entityId","entityType"],"properties":{"entityId":{"type":"string","format":"uuid"},"entityType":{"type":"string","enum":["inbox-team","inbox-agent","managed-role","organization-role"]}}},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"}},"responses":{"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."}}},"paths":{"/workspaces/{workspaceId}/feeds":{"get":{"description":"Retrieve a list of custom and view feeds for administration purposes.","operationId":"listUserDefinedFeeds","parameters":[{"$ref":"#/components/parameters/pagination.param.limit"},{"$ref":"#/components/parameters/pagination.param.pageToken"},{"$ref":"#/components/parameters/pagination.param.reverse"},{"$ref":"#/components/parameters/queryIndexType"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeedList"}}},"description":"ok"},"404":{"$ref":"#/components/responses/error.response.not_found"}},"summary":"List User Defined Feeds","tags":["feed"]}}}}
```

## Search feed items

> Retrieve a list of feed items based on the specified parameters.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[{"description":"Fetch lists of conversations based on filters","name":"feed"}],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"parameters":{"pagination.param.limit":{"description":"Limits the number of results to return.","in":"query","name":"limit","schema":{"default":25,"maximum":100,"type":"integer"}},"pagination.param.pageToken":{"description":"The cursor that keeps track of the current position in the results.","in":"query","name":"pageToken","schema":{"type":"string"}},"pagination.param.reverse":{"description":"Reverses the order in which the results are returned.","in":"query","name":"reverse","schema":{"default":false,"type":"boolean"}},"queryCountOnly":{"description":"Return only the count of the results, not the results themselves","in":"query","name":"countOnly","schema":{"default":false,"type":"boolean"}}},"schemas":{"SearchFeedItemsRequest":{"type":"object","required":[],"additionalProperties":false,"properties":{"conversationIds":{"type":"array","items":{"type":"string","format":"uuid"}},"sort":{"type":"string","default":"createdAt","enum":["createdAt","lastActivity","lastMessageByContact","slaExpires"]},"countOnly":{"type":"boolean","default":false,"description":"Return only the count of the results, not the results themselves"},"indexType":{"type":"string","enum":["channel","participant","team","agent","custom","task"]},"indexId":{"type":"string"},"itemIds":{"type":"array","items":{"type":"string","format":"uuid"}},"ticketNumbers":{"type":"array","items":{"type":"number"}},"itemType":{"type":"string","enum":["conversation","conference","task"]},"itemTypes":{"type":"array","items":{"type":"string","enum":["conversation","conference","task"]}},"unassigned":{"deprecated":true,"type":"boolean","description":"Search for feed items that have no agent assigned."},"agentIds":{"type":"array","items":{"oneOf":[{"type":"string","format":"uuid"},{"type":"string","enum":["me","any","none"]}]}},"teamIds":{"type":"array","items":{"type":"string","format":"uuid"}},"closed":{"type":"boolean"},"archived":{"type":"boolean"},"replyStatus":{"type":"string","enum":["noFollowUp","noCustomerReply","noAgentReply"]},"seen":{"type":"boolean"},"tagIds":{"type":"array","items":{"type":"string","format":"uuid"}},"conversationName":{"type":"string"},"conversationChannelIds":{"type":"array","items":{"type":"string","format":"uuid"}},"conversationStatuses":{"type":"array","items":{"type":"string","enum":["active","closed","deleted"]}},"conferenceStatuses":{"type":"array","items":{"type":"string","enum":["accepted","ringing","connecting","enqueued","active","hold","ended"]}},"conversationFeaturedParticipantIds":{"deprecated":true,"type":"array","items":{"oneOf":[{"type":"string","format":"uuid"},{"type":"string","enum":["me"]}]}},"participants":{"type":"object","additionalProperties":false,"properties":{"contacts":{"type":"array","items":{"type":"string","format":"uuid"}},"agents":{"type":"array","items":{"oneOf":[{"type":"string","format":"uuid"},{"type":"string","enum":["me"]}]}}}},"conversationParticipantTypes":{"type":"array","items":{"$ref":"#/components/schemas/ParticipantType"}},"conversationExcludeParticipantTypes":{"type":"array","items":{"$ref":"#/components/schemas/ParticipantType"}},"conversationLastMessageSenderParticipantTypes":{"type":"array","items":{"$ref":"#/components/schemas/ParticipantType"}},"fromContact":{"oneOf":[{"type":"object","additionalProperties":false,"required":["id"],"properties":{"id":{"type":"string","format":"uuid"}}},{"type":"object","additionalProperties":false,"required":["identifier"],"properties":{"identifier":{"type":"object","additionalProperties":false,"required":["key","value"],"properties":{"key":{"type":"string","minLength":1},"value":{"type":"string","minLength":1}}}}}]},"dynamicFields":{"$ref":"#/components/schemas/UpdateSummaryForm"},"conferenceId":{"type":"string","format":"uuid"},"itemStatuses":{"type":"array","items":{"type":"string","enum":["open","closed","archived"]}},"dateFrom":{"type":"string","format":"date-time"},"dateTo":{"type":"string","format":"date-time"},"searchTerm":{"type":"string"},"slaPolicyId":{"type":"string","format":"uuid"},"hasSlaPolicy":{"type":"boolean"},"slaPolicyStatus":{"$ref":"#/components/schemas/inbox.sla.policy.status"},"slaMetric":{"$ref":"#/components/schemas/inbox.sla.metric"},"slaStatus":{"type":"string","enum":["active","expired"],"deprecated":true},"slaExpiresBefore":{"type":"string","format":"date-time","deprecated":true},"slaExpiresAfter":{"type":"string","format":"date-time","deprecated":true},"query":{"$ref":"#/components/schemas/AnyPredicate"},"spam":{"type":"boolean","description":"If true, only return spam. Otherwise, only non-spam."}}},"ParticipantType":{"type":"string","enum":["user","contact","agent","flow","channel","connector"]},"UpdateSummaryForm":{"type":"object","nullable":true,"additionalProperties":false,"properties":{"settingsId":{"type":"string","description":"Optional. Either the uuid settings id, or \"default\" to use the default settings.    \nIf not specified, it will validate form input against the last saved form.\n"},"fields":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"selectedValueIds":{"type":"array","nullable":true,"items":{"type":"string"}},"valueText":{"type":"string","nullable":true},"valueNumber":{"type":"number","nullable":true},"valueBoolean":{"nullable":true,"type":"boolean"},"valueDate":{"type":"string","format":"date","nullable":true,"description":"The date value to set or search for.\n"},"valueDateBefore":{"type":"string","format":"date","nullable":true,"description":"The date value to set or search for.\n"},"valueDateAfter":{"type":"string","format":"date","nullable":true,"description":"The date value to set or search for.\n"}}}}}},"inbox.sla.policy.status":{"description":"Reflects the overall state of the SLA policy on a ticket.\n* `ok`: all metrics are green.\n* `needsAttention`: one or more metrics are in a warning state.\n* `breached`: one or more metrics are in a breached state.\n","enum":["ok","needsAttention","breached"],"type":"string"},"inbox.sla.metric":{"enum":["firstReplyTime","nextReplyTime"],"type":"string"},"AnyPredicate":{"anyOf":[{"$ref":"#/components/schemas/CompositionPredicate"},{"$ref":"#/components/schemas/ValuePredicate"}]},"CompositionPredicate":{"type":"object","additionalProperties":false,"properties":{"operator":{"type":"string","enum":["and","or","not"]},"children":{"type":"array","items":{"$ref":"#/components/schemas/AnyPredicate"}}}},"ValuePredicate":{"anyOf":[{"$ref":"#/components/schemas/AbsoluteDatePredicate"},{"$ref":"#/components/schemas/StringPredicate"},{"$ref":"#/components/schemas/NumberPredicate"},{"$ref":"#/components/schemas/BooleanPredicate"},{"$ref":"#/components/schemas/PresencePredicate"},{"$ref":"#/components/schemas/DynamicFieldsPredicate"}]},"AbsoluteDatePredicate":{"type":"object","additionalProperties":false,"required":["attributeName","operator","value"],"properties":{"attributeName":{"type":"string"},"operator":{"type":"string","enum":["is-after","is-before","is-on","is-equal-or-after","is-equal-or-before","is-between"]},"value":{"oneOf":[{"type":"string","description":"ISO 8601 (RFC3339) date-time format, should contain timezone.\nUTC example: \"2021-01-02T09:22:12.012Z\". UTC+1 Example: \"2021-01-01T09:22:12.012+01:00\"\nThere is one exception:\n  - \"date/is-on\" operator should be formatted as YYYY-MM-DD e.g. \"2021-12-31\";\n"},{"type":"array","items":{"type":"string"}}]}}},"StringPredicate":{"type":"object","additionalProperties":false,"required":["attributeName","operator","value"],"properties":{"attributeName":{"type":"string"},"operator":{"type":"string","enum":["contains","equals","in","matches","conventional-match","not-equals","starts-with"]},"value":{"oneOf":[{"type":"string"},{"type":"array","items":{"type":"string"}}]}}},"NumberPredicate":{"type":"object","additionalProperties":false,"required":["attributeName","operator","value"],"properties":{"attributeName":{"type":"string"},"operator":{"type":"string","enum":["equals","is-greater-than","is-less-than","in"]},"value":{"oneOf":[{"type":"number"},{"type":"array","items":{"type":"number"}}]}}},"BooleanPredicate":{"type":"object","additionalProperties":false,"required":["attributeName","operator","value"],"properties":{"attributeName":{"type":"string"},"operator":{"type":"string","enum":["equals","is-true","is-false"]},"value":{"type":"boolean"}}},"PresencePredicate":{"type":"object","additionalProperties":false,"required":["attributeName","operator"],"properties":{"attributeName":{"type":"string"},"operator":{"type":"string","enum":["is-set"]}}},"DynamicFieldsPredicate":{"type":"object","additionalProperties":false,"required":["attributeName","value"],"properties":{"attributeName":{"type":"string"},"operator":{"type":"string","enum":["and","or","not"]},"value":{"$ref":"#/components/schemas/UpdateSummaryForm"}}},"ItemList":{"type":"object","properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/Item"}}}},"Item":{"type":"object","additionalProperties":false,"required":["id","type","archived","closed","lastActivityAt","createdAt"],"properties":{"id":{"type":"string"},"feedId":{"type":"string"},"feedIndexId":{"type":"string"},"feedIndexType":{"type":"string"},"agent":{"$ref":"#/components/schemas/FeedItemAssignee"},"team":{"$ref":"#/components/schemas/FeedItemAssignee"},"number":{"type":"integer","minimum":1},"type":{"type":"string","enum":["conversation","conference","task"]},"archived":{"type":"boolean"},"closed":{"type":"boolean"},"private":{"type":"boolean"},"deleted":{"type":"boolean"},"spam":{"type":"boolean"},"senderBlocked":{"type":"boolean"},"seen":{"type":"boolean"},"seenBy":{"type":"string","format":"uuid"},"replySuggestion":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"willBeDeletedAt":{"type":"string","format":"date-time"},"lastActivityAt":{"type":"string","format":"date-time"},"lastMessageByContactAt":{"type":"string","format":"date-time"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/FeedItemTag"}},"attributes":{"$ref":"#/components/schemas/FeedItemAttributes"},"customAttributes":{"type":"object","deprecated":true,"description":"Use dynamicFields instead.","additionalProperties":true},"filters":{"$ref":"#/components/schemas/FeedItemFilters"},"linkedItems":{"type":"array","items":{"$ref":"#/components/schemas/LinkedItem"}},"mergeInfo":{"type":"object","additionalProperties":false,"properties":{"mergedFrom":{"type":"array","items":{"$ref":"#/components/schemas/MergedItem"}},"mergedInto":{"$ref":"#/components/schemas/MergedItem"}}},"dynamicFields":{"$ref":"#/components/schemas/SummaryForm"},"summaryForm":{"$ref":"#/components/schemas/SummaryForm"},"queueInfo":{"$ref":"#/components/schemas/FeedItemQueueInfo"},"conversation":{"anyOf":[{"$ref":"#/components/schemas/inbox.conversations.conversation"},{"type":"object","nullable":true,"additionalProperties":false,"required":["error"],"properties":{"error":{"type":"string"}}}]},"conference":{"anyOf":[{"type":"object","nullable":true,"additionalProperties":true},{"type":"object","nullable":true,"additionalProperties":false,"required":["error"],"properties":{"error":{"type":"string"}}}]},"task":{"type":"object","nullable":true,"additionalProperties":true},"slaPolicy":{"type":"object","additionalProperties":false,"properties":{"policyId":{"type":"string","format":"uuid"},"timers":{"type":"array","items":{"$ref":"#/components/schemas/inbox.sla.timer"}}},"required":["policyId","timers"]},"requiredSkills":{"type":"array","items":{"$ref":"#/components/schemas/inbox.agents.skill.assigned"}},"status":{"type":"string","description":"The slug that identifies the status of the root item."},"statusCategory":{"$ref":"#/components/schemas/inbox.feed.item.status.category"}}},"FeedItemAssignee":{"type":"object","additionalProperties":false,"required":["id","name"],"properties":{"id":{"type":"string","minLength":1},"name":{"type":"string"},"avatarUrl":{"type":"string","nullable":true}}},"FeedItemTag":{"type":"object","additionalProperties":false,"required":["id","name","status","addedAt"],"properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"status":{"type":"string","enum":["draft","active","deleted"]},"addedAt":{"type":"string","format":"date-time"},"category":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"emoji":{"type":"string"}}}}},"FeedItemAttributes":{"type":"array","items":{"type":"object","properties":{"key":{"type":"string"},"value":{"type":"string"}}}},"FeedItemFilters":{"type":"array","items":{"$ref":"#/components/schemas/FeedItemAttributes"}},"LinkedItem":{"type":"object","additionalProperties":false,"properties":{"userId":{"type":"string","format":"uuid","description":"The id of the user that set up this relation."},"relation":{"$ref":"#/components/schemas/LinkedItemRelation"},"itemId":{"type":"string","format":"uuid","description":"The id of the linked item."},"itemNumber":{"type":"integer","minimum":1},"itemSubject":{"type":"string"},"createdAt":{"type":"string","format":"date-time"}}},"LinkedItemRelation":{"type":"string","enum":["linkedTo","parentOf","childOf","parentOfTask","taskChildOf"]},"MergedItem":{"type":"object","additionalProperties":false,"required":["userId","itemId","createdAt"],"properties":{"userId":{"type":"string"},"itemId":{"type":"string"},"createdAt":{"type":"string","format":"date-time"}}},"SummaryForm":{"type":"object","additionalProperties":false,"required":["settingsId","fields"],"properties":{"settingsId":{"type":"string","description":"Either the uuid settings id, or \"default\" to use the default settings."},"fields":{"type":"array","items":{"$ref":"#/components/schemas/SummaryFormField"}}}},"SummaryFormField":{"type":"object","additionalProperties":false,"required":["name","type"],"properties":{"id":{"type":"string"},"name":{"type":"string","minimum":1,"maximum":255},"description":{"type":"string"},"type":{"type":"string","enum":["single","multiple","numeric","text","boolean","date"]},"values":{"type":"array","items":{"$ref":"#/components/schemas/SummaryFormValue"}},"valueText":{"type":"string"},"valueNumber":{"type":"number"},"valueBoolean":{"type":"boolean"},"valueDate":{"type":"string","format":"date"},"settings":{"type":"object","additionalProperties":true}}},"SummaryFormValue":{"type":"object","additionalProperties":false,"required":["id","value","createdAt","selected"],"properties":{"id":{"type":"string"},"value":{"type":"string"},"icon":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"selected":{"type":"boolean"}}},"FeedItemQueueInfo":{"type":"object","additionalProperties":false,"required":["queueId","queueName","queuedAt"],"properties":{"queueId":{"type":"string","format":"uuid"},"queueName":{"type":"string"},"queuedAt":{"type":"string","format":"date-time"}}},"inbox.conversations.conversation":{"properties":{"accessibility":{"$ref":"#/components/schemas/inbox.conversations.accessibility"},"activeParticipantCount":{"format":"int32","type":"integer"},"assigneeId":{"format":"uuid","type":"string"},"attributes":{"additionalProperties":{"type":"string"},"type":"object"},"category":{"type":"string"},"channelId":{"format":"uuid","type":"string"},"createdAt":{"format":"date-time","type":"string"},"description":{"type":"string"},"directory":{"type":"string"},"featuredParticipants":{"items":{"$ref":"#/components/schemas/inbox.conversations.participant"},"type":"array"},"hasDraft":{"type":"boolean"},"id":{"format":"uuid","type":"string"},"inbox":{"$ref":"#/components/schemas/inbox.conversations.inbox_ref"},"initiatingParticipant":{"$ref":"#/components/schemas/inbox.conversations.participant"},"lastMessage":{"$ref":"#/components/schemas/inbox.conversations.last_message"},"lastMessageIncomingAt":{"format":"date-time","type":"string"},"lastMessageOutgoingAt":{"format":"date-time","type":"string"},"name":{"type":"string"},"participants":{"items":{"$ref":"#/components/schemas/inbox.conversations.participant_ref"},"type":"array"},"pendingParticipantCount":{"format":"int32","type":"integer"},"platformStyle":{"$ref":"#/components/schemas/inbox.conversations.platform_style"},"privateAttributes":{"type":"string"},"read":{"type":"boolean"},"referral":{"$ref":"#/components/schemas/inbox.conversations.referral"},"resource":{"$ref":"#/components/schemas/inbox.conversations.resource"},"resourceUri":{"type":"string"},"starred":{"type":"boolean"},"status":{"$ref":"#/components/schemas/inbox.conversations.status"},"style":{"$ref":"#/components/schemas/inbox.conversations.conversation_style"},"summary":{"type":"string"},"tags":{"items":{"type":"string"},"type":"array"},"updatedAt":{"format":"date-time","type":"string"},"visibility":{"$ref":"#/components/schemas/inbox.conversations.visibility"}},"required":["id","name","style","visibility","accessibility","activeParticipantCount","status","channelId","createdAt","updatedAt","featuredParticipants","platformStyle"],"title":"Conversation","type":"object"},"inbox.conversations.accessibility":{"enum":["open","invite-only","request-to-join","private"],"type":"string"},"inbox.conversations.participant":{"properties":{"avatarUrl":{"type":"string"},"contact":{"$ref":"#/components/schemas/inbox.conversations.participant_contact"},"conversationId":{"format":"uuid","type":"string"},"createdAt":{"format":"date-time","type":"string"},"displayName":{"type":"string"},"id":{"type":"string"},"resourceUri":{"type":"string"},"status":{"$ref":"#/components/schemas/inbox.conversations.participant_status"},"type":{"$ref":"#/components/schemas/inbox.conversations.participant_type"},"updatedAt":{"format":"date-time","type":"string"}},"required":["id","type"],"title":"Conversation Participant","type":"object"},"inbox.conversations.participant_contact":{"properties":{"identifierKey":{"type":"string"},"identifierValue":{"type":"string"},"platformAddress":{"type":"string"},"platformAddressSelector":{"type":"string"}},"required":["identifierKey","identifierValue"],"type":"object"},"inbox.conversations.participant_status":{"enum":["invited","pending","active","inactive"],"type":"string"},"inbox.conversations.participant_type":{"enum":["user","contact","agent","flow","bot","accessKey","channel","connector","collaborationAutomation"],"type":"string"},"inbox.conversations.inbox_ref":{"properties":{"id":{"format":"uuid","type":"string"},"identifier":{"type":"string"},"ownerId":{"format":"uuid","type":"string"},"ownerType":{"$ref":"#/components/schemas/inbox.inbox_owner_type"},"type":{"$ref":"#/components/schemas/inbox.inbox_type"}},"required":["type","id","identifier","ownerId","ownerType"],"type":"object"},"inbox.inbox_owner_type":{"enum":["user","group"],"type":"string"},"inbox.inbox_type":{"enum":["personal","shared","support"],"type":"string"},"inbox.conversations.last_message":{"properties":{"createdAt":{"format":"date-time","type":"string"},"draft":{"type":"boolean"},"id":{"format":"uuid","type":"string"},"preview":{"$ref":"#/components/schemas/inbox.conversations.message_preview"},"recipients":{"items":{"$ref":"#/components/schemas/channels.participants.contact"},"type":"array"},"sender":{"$ref":"#/components/schemas/inbox.conversations.message_sender"},"status":{"enum":["accepted","processing","sent","sending_failed","delivered","delivery_failed","deleted"],"type":"string"},"type":{"enum":["text","html","image","file","gif","location","carousel","list","section","authentication","action","comment"],"type":"string"}},"required":["id","type","preview","status","createdAt","draft"],"type":"object"},"inbox.conversations.message_preview":{"properties":{"text":{"type":"string"}},"type":"object"},"channels.participants.contact":{"properties":{"contactAnnotation":{"$ref":"#/components/schemas/channels.participants.contact_annotation"},"countryCode":{"type":"string"},"id":{"description":"The ID of the contact.","format":"uuid","type":"string"},"identifierKey":{"description":"The identifier key for finding the contact (e.g. emailaddress, phonenumber). For WhatsApp channels with BSUID support, use `whatsappbsuid` to send to a contact by their Business-Scoped User ID.","type":"string"},"identifierValue":{"description":"The identifier value for finding the contact.","type":"string"},"identifiers":{"description":"Additional identifiers to augment the contact during resolution.","items":{"$ref":"#/components/schemas/channels.participants.identifier"},"type":"array"},"platformAddress":{"description":"The resolved platform address used to deliver the message (e.g. phone number or email address).","type":"string"},"platformAddressSelector":{"description":"An expression that defines how we resolve the platform address from a contact. Optional override for the default resolution logic.","type":"string"},"receiverExpression":{"type":"string"},"receiverValue":{"type":"string"},"type":{"description":"The type of the receiver (e.g. to, cc, bcc for email).","type":"string"}},"type":"object"},"channels.participants.contact_annotation":{"description":"Annotations add extra information to a sender or receiver. For email messages, the name annotation overrides the display name.","properties":{"name":{"type":"string"}},"type":"object"},"channels.participants.identifier":{"properties":{"identifierKey":{"description":"The identifier key for finding the contact (e.g. emailaddress, phonenumber).","type":"string"},"identifierValue":{"description":"The identifier value for finding the contact.","type":"string"}},"required":["identifierKey","identifierValue"],"type":"object"},"inbox.conversations.message_sender":{"allOf":[{"properties":{"email":{"type":"string"},"name":{"type":"string"}},"type":"object"},{"$ref":"#/components/schemas/inbox.conversations.participant"}]},"inbox.conversations.participant_ref":{"properties":{"contact":{"$ref":"#/components/schemas/inbox.conversations.participant_contact"},"id":{"type":"string"},"type":{"$ref":"#/components/schemas/inbox.conversations.participant_type"}},"required":["type","id"],"type":"object"},"inbox.conversations.platform_style":{"enum":["direct","email","direct-multiple","direct-threaded","group-multiple"],"type":"string"},"inbox.conversations.referral":{"properties":{"caption":{"type":"string"},"mediaType":{"type":"string"},"mediaUrl":{"type":"string"},"sourceId":{"type":"string"},"sourceType":{"type":"string"},"sourceUrl":{"type":"string"},"text":{"type":"string"},"timestamp":{"format":"date-time","type":"string"},"title":{"type":"string"},"username":{"type":"string"}},"required":["sourceId"],"type":"object"},"inbox.conversations.resource":{"properties":{"id":{"format":"uuid","type":"string"},"type":{"$ref":"#/components/schemas/inbox.conversations.resource_type"}},"required":["type","id"],"type":"object"},"inbox.conversations.resource_type":{"enum":["task","task-conversation","reimbursement","sales-lead","sales-opportunity","sales-account","expense","project"],"type":"string"},"inbox.conversations.status":{"enum":["deleted","active","closed","spam","archived"],"type":"string"},"inbox.conversations.conversation_style":{"enum":["default","directMessage","chatChannel","personalInbox","resource","groupInbox","support"],"type":"string"},"inbox.conversations.visibility":{"enum":["public","private","direct","group"],"type":"string"},"inbox.sla.timer":{"additionalProperties":false,"properties":{"expiresAt":{"format":"date-time","type":"string"},"metric":{"$ref":"#/components/schemas/inbox.sla.metric"},"severity":{"$ref":"#/components/schemas/inbox.sla.timer.severity"},"status":{"$ref":"#/components/schemas/inbox.sla.timer.status"}},"required":["metric","severity","status"],"type":"object"},"inbox.sla.timer.severity":{"enum":["breach","warning"],"type":"string"},"inbox.sla.timer.status":{"enum":["inactive","active","completed","expired"],"type":"string"},"inbox.agents.skill.assigned":{"description":"AgentAssignedSkill is a denormalized AgentSkill, and a part of Agent entity.\n","properties":{"id":{"format":"uuid","type":"string"},"name":{"type":"string"},"selectedValues":{"items":{"$ref":"#/components/schemas/inbox.agents.skill.assigned.value"},"type":"array"},"valueType":{"$ref":"#/components/schemas/inbox.agents.skill.value.type"}},"required":["id","name","valueType","selectedValues"],"type":"object"},"inbox.agents.skill.assigned.value":{"description":"AgentSkillValue is a denormalized AgentSkillValue, and part of AgentAssignedSkill entity.\n","properties":{"icon":{"type":"string"},"id":{"format":"uuid","type":"string"},"value":{"type":"string"}},"required":["id","value"],"type":"object"},"inbox.agents.skill.value.type":{"description":"AgentSkillValueType defines how can the Values of a Skill can be selected.\n","enum":["single","multiple","boolean"],"type":"string"},"inbox.feed.item.status.category":{"description":"The category maps to the lifecycle of a root item in the system.","enum":["new","inProgress","pending","closed"],"type":"string"},"ItemCount":{"type":"object","properties":{"total":{"type":"number","description":"The total number of results across all pages."}}},"pagination":{"properties":{"nextPageToken":{"description":"The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display.","type":"string"},"total":{"description":"The total number of results across all pages.","type":"integer"}},"type":"object"},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"},"error.validation":{"additionalProperties":false,"description":"A validation error returned from the API. The `details` map keys are JSON paths\npointing into the request body / parameters; values are arrays of human-readable\nmessages describing each problem with that path.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":{"items":{"type":"string"},"type":"array"},"description":"Per-field validation messages keyed by JSON path.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"ValidationError","type":"object"}},"responses":{"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."},"error.response.invalid_request":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.validation"}}},"description":"The request contains invalid parameters or body fields."}}},"paths":{"/workspaces/{workspaceId}/search/feed-items":{"post":{"description":"Retrieve a list of feed items based on the specified parameters.","operationId":"searchFeedItemsPost","parameters":[{"$ref":"#/components/parameters/pagination.param.limit"},{"$ref":"#/components/parameters/pagination.param.pageToken"},{"$ref":"#/components/parameters/pagination.param.reverse"},{"$ref":"#/components/parameters/queryCountOnly"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SearchFeedItemsRequest"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/ItemList"},{"$ref":"#/components/schemas/ItemCount"},{"$ref":"#/components/schemas/pagination"}]}}},"description":"ok"},"404":{"$ref":"#/components/responses/error.response.not_found"},"422":{"$ref":"#/components/responses/error.response.invalid_request"}},"summary":"Search feed items","tags":["feed"]}}}}
```

## Search feed items

> Retrieve a list of feed items based on the specified parameters.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[{"description":"Fetch lists of conversations based on filters","name":"feed"}],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"parameters":{"pagination.param.limit":{"description":"Limits the number of results to return.","in":"query","name":"limit","schema":{"default":25,"maximum":100,"type":"integer"}},"pagination.param.pageToken":{"description":"The cursor that keeps track of the current position in the results.","in":"query","name":"pageToken","schema":{"type":"string"}},"pagination.param.reverse":{"description":"Reverses the order in which the results are returned.","in":"query","name":"reverse","schema":{"default":false,"type":"boolean"}},"queryCountOnly":{"description":"Return only the count of the results, not the results themselves","in":"query","name":"countOnly","schema":{"default":false,"type":"boolean"}},"querySearchFeedItemsSort":{"description":"The results can optionally be sorted by one of these fields.\n","in":"query","name":"sort","schema":{"default":"createdAt","enum":["createdAt","lastActivity","lastMessageByContact","slaExpires"],"type":"string"}},"queryIndexType":{"description":"The type of feed.","in":"query","name":"indexType","schema":{"enum":["channel","participant","team","agent","custom","view","privateview","task"],"type":"string"}},"queryIndexId":{"description":"The id for indexType.","in":"query","name":"indexId","schema":{"type":"string"}},"queryItemIds":{"description":"Filter by specific root item IDs (conversation IDs or conference IDs, or a combination of both).","in":"query","name":"itemIds","schema":{"items":{"format":"uuid","type":"string"},"type":"array"}},"queryItemType":{"description":"The feed item type.","in":"query","name":"itemType","schema":{"enum":["conversation","conference","task"],"type":"string"}},"queryItemTypes":{"description":"The feed item type.","in":"query","name":"itemTypes","schema":{"items":{"enum":["conversation","conference","task"],"type":"string"},"type":"array"}},"queryTicketNumbers":{"description":"Filter by specific ticket number.","in":"query","name":"ticketNumbers","schema":{"items":{"type":"number"},"type":"array"}},"queryUnassigned":{"description":"Search for feed items that have no agent assigned.","in":"query","name":"unassigned","schema":{"type":"boolean"}},"queryAgentIds":{"description":"The id of the agent(s) assigned to this item.","in":"query","name":"agentIds","schema":{"items":{"format":"uuid","type":"string"},"type":"array"}},"queryTeamIds":{"description":"The id of the team(s) assigned to this item.","in":"query","name":"teamIds","schema":{"items":{"format":"uuid","type":"string"},"type":"array"}},"queryClosed":{"description":"Whether to include closed feed items or not. All items are included by default","in":"query","name":"closed","schema":{"type":"boolean"}},"querySeen":{"description":"Whether to include seen feed items or not. All items are included by default","in":"query","name":"seen","schema":{"type":"boolean"}},"queryArchived":{"description":"Whether to include archived feed items or not. All items are included by default","in":"query","name":"archived","schema":{"type":"boolean"}},"queryTagIds":{"description":"Search for feed items containing these tags.","in":"query","name":"tagIds","schema":{"items":{"type":"string"},"type":"array"}},"queryConversationIds":{"description":"Filter items for a specific conversation(s).","in":"query","name":"conversationIds","schema":{"items":{"format":"uuid","type":"string"},"type":"array"}},"queryConversationName":{"description":"Filter items for a specific conversation name containing the term.","in":"query","name":"conversationName","schema":{"type":"string"}},"queryConversationChannelIds":{"description":"Filter items for a specific conversation channel(s).","in":"query","name":"conversationChannelIds","schema":{"items":{"format":"uuid","type":"string"},"type":"array"}},"queryConversationStatuses":{"description":"Filter items with a specific conversation status(es).","in":"query","name":"conversationStatuses","schema":{"items":{"enum":["active","closed","deleted"],"type":"string"},"type":"array"}},"queryConferenceStatuses":{"description":"Filter items with a specific conference status(es).","in":"query","name":"conferenceStatuses","schema":{"items":{"enum":["accepted","ringing","connecting","enqueued","active","hold","ended"],"type":"string"},"type":"array"}},"queryConferenceTypes":{"description":"Filter items with a specific conference type.","in":"query","name":"conferenceTypes","schema":{"items":{"enum":["pstn","voice","video"],"type":"string"},"type":"array"}},"queryConversationFeaturedParticipantIds":{"description":"Participant IDs for conversation feed items.","in":"query","name":"conversationFeaturedParticipantIds","schema":{"items":{"format":"uuid","type":"string"},"type":"array"}},"queryConversationParticipantTypes":{"description":"The types of participants in a conversation. It can be used for example to find out if there was any agent interaction in the conversation. This filter additionally filters out non-conversation feed items.\n","in":"query","name":"conversationParticipantTypes","schema":{"items":{"$ref":"#/components/schemas/ParticipantType"},"type":"array"}},"queryConversationExcludeParticipantTypes":{"description":"If specified, matched conversations will not contain participants of these types. It can be used for example to find out if there was NO agent interaction in the conversation.\n","in":"query","name":"conversationExcludeParticipantTypes","schema":{"items":{"$ref":"#/components/schemas/ParticipantType"},"type":"array"}},"queryConversationLastMessageSenderParticipantTypes":{"description":"The participant type that sent the last message in this feed item. It can match any of the specified types. This filter additionally filters out non-conversation feed items.\n","in":"query","name":"conversationLastMessageSenderParticipantTypes","schema":{"$ref":"#/components/schemas/ParticipantType"}},"queryConferenceId":{"in":"query","name":"conferenceId","schema":{"format":"uuid","type":"string"}},"queryItemStatuses":{"description":"Filter items with a specific status(es).","in":"query","name":"itemStatuses","schema":{"items":{"enum":["open","closed","archived"],"type":"string"},"type":"array"}},"queryDateFrom":{"description":"Find messages created after this date.","in":"query","name":"dateFrom","schema":{"format":"date-time","type":"string"}},"queryDateTo":{"description":"Find messages created before this date.","in":"query","name":"dateTo","schema":{"format":"date-time","type":"string"}},"querySearchTerm":{"description":"If specified, matched conversations will contain one of the search terms in one of its fields. searchTerm will be split into individual terms, and filter items accordingly.  This can be used, for example, to find items with specific conversationName and ticketNumbers.\nIf specified between quotes, matched conversations will contain the whole phrase on conversationName or in the conversation body.\n","in":"query","name":"searchTerm","schema":{"type":"string"}},"querySlaPolicyId":{"description":"Find messages with the SLA policy attached.","in":"query","name":"slaPolicyId","schema":{"format":"uuid","type":"string"}},"queryHasSlaPolicy":{"description":"Find messages that have a SLA policy attached.","in":"query","name":"hasSlaPolicy","schema":{"type":"boolean"}},"querySlaPolicyStatus":{"description":"Find messages with an SLA policy matching the given status.","in":"query","name":"slaPolicyStatus","schema":{"$ref":"#/components/schemas/inbox.sla.policy.status"}},"querySlaMetric":{"description":"Find messages with an active SLA timer for this metric.","in":"query","name":"slaMetric","schema":{"$ref":"#/components/schemas/inbox.sla.metric"}},"querySlaStatus":{"deprecated":true,"description":"Find message with a SLA timer with this status.","in":"query","name":"slaStatus","schema":{"enum":["active","expired"],"type":"string"}},"querySlaExpiresBefore":{"deprecated":true,"description":"Find message where the next SLA breach is before this date.","in":"query","name":"slaExpiresBefore","schema":{"format":"date-time","type":"string"}},"querySlaExpiresAfter":{"deprecated":true,"description":"Find message where the next SLA breach is after this date.","in":"query","name":"slaExpiresAfter","schema":{"format":"date-time","type":"string"}}},"schemas":{"ParticipantType":{"type":"string","enum":["user","contact","agent","flow","channel","connector"]},"inbox.sla.policy.status":{"description":"Reflects the overall state of the SLA policy on a ticket.\n* `ok`: all metrics are green.\n* `needsAttention`: one or more metrics are in a warning state.\n* `breached`: one or more metrics are in a breached state.\n","enum":["ok","needsAttention","breached"],"type":"string"},"inbox.sla.metric":{"enum":["firstReplyTime","nextReplyTime"],"type":"string"},"ItemList":{"type":"object","properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/Item"}}}},"Item":{"type":"object","additionalProperties":false,"required":["id","type","archived","closed","lastActivityAt","createdAt"],"properties":{"id":{"type":"string"},"feedId":{"type":"string"},"feedIndexId":{"type":"string"},"feedIndexType":{"type":"string"},"agent":{"$ref":"#/components/schemas/FeedItemAssignee"},"team":{"$ref":"#/components/schemas/FeedItemAssignee"},"number":{"type":"integer","minimum":1},"type":{"type":"string","enum":["conversation","conference","task"]},"archived":{"type":"boolean"},"closed":{"type":"boolean"},"private":{"type":"boolean"},"deleted":{"type":"boolean"},"spam":{"type":"boolean"},"senderBlocked":{"type":"boolean"},"seen":{"type":"boolean"},"seenBy":{"type":"string","format":"uuid"},"replySuggestion":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"willBeDeletedAt":{"type":"string","format":"date-time"},"lastActivityAt":{"type":"string","format":"date-time"},"lastMessageByContactAt":{"type":"string","format":"date-time"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/FeedItemTag"}},"attributes":{"$ref":"#/components/schemas/FeedItemAttributes"},"customAttributes":{"type":"object","deprecated":true,"description":"Use dynamicFields instead.","additionalProperties":true},"filters":{"$ref":"#/components/schemas/FeedItemFilters"},"linkedItems":{"type":"array","items":{"$ref":"#/components/schemas/LinkedItem"}},"mergeInfo":{"type":"object","additionalProperties":false,"properties":{"mergedFrom":{"type":"array","items":{"$ref":"#/components/schemas/MergedItem"}},"mergedInto":{"$ref":"#/components/schemas/MergedItem"}}},"dynamicFields":{"$ref":"#/components/schemas/SummaryForm"},"summaryForm":{"$ref":"#/components/schemas/SummaryForm"},"queueInfo":{"$ref":"#/components/schemas/FeedItemQueueInfo"},"conversation":{"anyOf":[{"$ref":"#/components/schemas/inbox.conversations.conversation"},{"type":"object","nullable":true,"additionalProperties":false,"required":["error"],"properties":{"error":{"type":"string"}}}]},"conference":{"anyOf":[{"type":"object","nullable":true,"additionalProperties":true},{"type":"object","nullable":true,"additionalProperties":false,"required":["error"],"properties":{"error":{"type":"string"}}}]},"task":{"type":"object","nullable":true,"additionalProperties":true},"slaPolicy":{"type":"object","additionalProperties":false,"properties":{"policyId":{"type":"string","format":"uuid"},"timers":{"type":"array","items":{"$ref":"#/components/schemas/inbox.sla.timer"}}},"required":["policyId","timers"]},"requiredSkills":{"type":"array","items":{"$ref":"#/components/schemas/inbox.agents.skill.assigned"}},"status":{"type":"string","description":"The slug that identifies the status of the root item."},"statusCategory":{"$ref":"#/components/schemas/inbox.feed.item.status.category"}}},"FeedItemAssignee":{"type":"object","additionalProperties":false,"required":["id","name"],"properties":{"id":{"type":"string","minLength":1},"name":{"type":"string"},"avatarUrl":{"type":"string","nullable":true}}},"FeedItemTag":{"type":"object","additionalProperties":false,"required":["id","name","status","addedAt"],"properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"status":{"type":"string","enum":["draft","active","deleted"]},"addedAt":{"type":"string","format":"date-time"},"category":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"emoji":{"type":"string"}}}}},"FeedItemAttributes":{"type":"array","items":{"type":"object","properties":{"key":{"type":"string"},"value":{"type":"string"}}}},"FeedItemFilters":{"type":"array","items":{"$ref":"#/components/schemas/FeedItemAttributes"}},"LinkedItem":{"type":"object","additionalProperties":false,"properties":{"userId":{"type":"string","format":"uuid","description":"The id of the user that set up this relation."},"relation":{"$ref":"#/components/schemas/LinkedItemRelation"},"itemId":{"type":"string","format":"uuid","description":"The id of the linked item."},"itemNumber":{"type":"integer","minimum":1},"itemSubject":{"type":"string"},"createdAt":{"type":"string","format":"date-time"}}},"LinkedItemRelation":{"type":"string","enum":["linkedTo","parentOf","childOf","parentOfTask","taskChildOf"]},"MergedItem":{"type":"object","additionalProperties":false,"required":["userId","itemId","createdAt"],"properties":{"userId":{"type":"string"},"itemId":{"type":"string"},"createdAt":{"type":"string","format":"date-time"}}},"SummaryForm":{"type":"object","additionalProperties":false,"required":["settingsId","fields"],"properties":{"settingsId":{"type":"string","description":"Either the uuid settings id, or \"default\" to use the default settings."},"fields":{"type":"array","items":{"$ref":"#/components/schemas/SummaryFormField"}}}},"SummaryFormField":{"type":"object","additionalProperties":false,"required":["name","type"],"properties":{"id":{"type":"string"},"name":{"type":"string","minimum":1,"maximum":255},"description":{"type":"string"},"type":{"type":"string","enum":["single","multiple","numeric","text","boolean","date"]},"values":{"type":"array","items":{"$ref":"#/components/schemas/SummaryFormValue"}},"valueText":{"type":"string"},"valueNumber":{"type":"number"},"valueBoolean":{"type":"boolean"},"valueDate":{"type":"string","format":"date"},"settings":{"type":"object","additionalProperties":true}}},"SummaryFormValue":{"type":"object","additionalProperties":false,"required":["id","value","createdAt","selected"],"properties":{"id":{"type":"string"},"value":{"type":"string"},"icon":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"selected":{"type":"boolean"}}},"FeedItemQueueInfo":{"type":"object","additionalProperties":false,"required":["queueId","queueName","queuedAt"],"properties":{"queueId":{"type":"string","format":"uuid"},"queueName":{"type":"string"},"queuedAt":{"type":"string","format":"date-time"}}},"inbox.conversations.conversation":{"properties":{"accessibility":{"$ref":"#/components/schemas/inbox.conversations.accessibility"},"activeParticipantCount":{"format":"int32","type":"integer"},"assigneeId":{"format":"uuid","type":"string"},"attributes":{"additionalProperties":{"type":"string"},"type":"object"},"category":{"type":"string"},"channelId":{"format":"uuid","type":"string"},"createdAt":{"format":"date-time","type":"string"},"description":{"type":"string"},"directory":{"type":"string"},"featuredParticipants":{"items":{"$ref":"#/components/schemas/inbox.conversations.participant"},"type":"array"},"hasDraft":{"type":"boolean"},"id":{"format":"uuid","type":"string"},"inbox":{"$ref":"#/components/schemas/inbox.conversations.inbox_ref"},"initiatingParticipant":{"$ref":"#/components/schemas/inbox.conversations.participant"},"lastMessage":{"$ref":"#/components/schemas/inbox.conversations.last_message"},"lastMessageIncomingAt":{"format":"date-time","type":"string"},"lastMessageOutgoingAt":{"format":"date-time","type":"string"},"name":{"type":"string"},"participants":{"items":{"$ref":"#/components/schemas/inbox.conversations.participant_ref"},"type":"array"},"pendingParticipantCount":{"format":"int32","type":"integer"},"platformStyle":{"$ref":"#/components/schemas/inbox.conversations.platform_style"},"privateAttributes":{"type":"string"},"read":{"type":"boolean"},"referral":{"$ref":"#/components/schemas/inbox.conversations.referral"},"resource":{"$ref":"#/components/schemas/inbox.conversations.resource"},"resourceUri":{"type":"string"},"starred":{"type":"boolean"},"status":{"$ref":"#/components/schemas/inbox.conversations.status"},"style":{"$ref":"#/components/schemas/inbox.conversations.conversation_style"},"summary":{"type":"string"},"tags":{"items":{"type":"string"},"type":"array"},"updatedAt":{"format":"date-time","type":"string"},"visibility":{"$ref":"#/components/schemas/inbox.conversations.visibility"}},"required":["id","name","style","visibility","accessibility","activeParticipantCount","status","channelId","createdAt","updatedAt","featuredParticipants","platformStyle"],"title":"Conversation","type":"object"},"inbox.conversations.accessibility":{"enum":["open","invite-only","request-to-join","private"],"type":"string"},"inbox.conversations.participant":{"properties":{"avatarUrl":{"type":"string"},"contact":{"$ref":"#/components/schemas/inbox.conversations.participant_contact"},"conversationId":{"format":"uuid","type":"string"},"createdAt":{"format":"date-time","type":"string"},"displayName":{"type":"string"},"id":{"type":"string"},"resourceUri":{"type":"string"},"status":{"$ref":"#/components/schemas/inbox.conversations.participant_status"},"type":{"$ref":"#/components/schemas/inbox.conversations.participant_type"},"updatedAt":{"format":"date-time","type":"string"}},"required":["id","type"],"title":"Conversation Participant","type":"object"},"inbox.conversations.participant_contact":{"properties":{"identifierKey":{"type":"string"},"identifierValue":{"type":"string"},"platformAddress":{"type":"string"},"platformAddressSelector":{"type":"string"}},"required":["identifierKey","identifierValue"],"type":"object"},"inbox.conversations.participant_status":{"enum":["invited","pending","active","inactive"],"type":"string"},"inbox.conversations.participant_type":{"enum":["user","contact","agent","flow","bot","accessKey","channel","connector","collaborationAutomation"],"type":"string"},"inbox.conversations.inbox_ref":{"properties":{"id":{"format":"uuid","type":"string"},"identifier":{"type":"string"},"ownerId":{"format":"uuid","type":"string"},"ownerType":{"$ref":"#/components/schemas/inbox.inbox_owner_type"},"type":{"$ref":"#/components/schemas/inbox.inbox_type"}},"required":["type","id","identifier","ownerId","ownerType"],"type":"object"},"inbox.inbox_owner_type":{"enum":["user","group"],"type":"string"},"inbox.inbox_type":{"enum":["personal","shared","support"],"type":"string"},"inbox.conversations.last_message":{"properties":{"createdAt":{"format":"date-time","type":"string"},"draft":{"type":"boolean"},"id":{"format":"uuid","type":"string"},"preview":{"$ref":"#/components/schemas/inbox.conversations.message_preview"},"recipients":{"items":{"$ref":"#/components/schemas/channels.participants.contact"},"type":"array"},"sender":{"$ref":"#/components/schemas/inbox.conversations.message_sender"},"status":{"enum":["accepted","processing","sent","sending_failed","delivered","delivery_failed","deleted"],"type":"string"},"type":{"enum":["text","html","image","file","gif","location","carousel","list","section","authentication","action","comment"],"type":"string"}},"required":["id","type","preview","status","createdAt","draft"],"type":"object"},"inbox.conversations.message_preview":{"properties":{"text":{"type":"string"}},"type":"object"},"channels.participants.contact":{"properties":{"contactAnnotation":{"$ref":"#/components/schemas/channels.participants.contact_annotation"},"countryCode":{"type":"string"},"id":{"description":"The ID of the contact.","format":"uuid","type":"string"},"identifierKey":{"description":"The identifier key for finding the contact (e.g. emailaddress, phonenumber). For WhatsApp channels with BSUID support, use `whatsappbsuid` to send to a contact by their Business-Scoped User ID.","type":"string"},"identifierValue":{"description":"The identifier value for finding the contact.","type":"string"},"identifiers":{"description":"Additional identifiers to augment the contact during resolution.","items":{"$ref":"#/components/schemas/channels.participants.identifier"},"type":"array"},"platformAddress":{"description":"The resolved platform address used to deliver the message (e.g. phone number or email address).","type":"string"},"platformAddressSelector":{"description":"An expression that defines how we resolve the platform address from a contact. Optional override for the default resolution logic.","type":"string"},"receiverExpression":{"type":"string"},"receiverValue":{"type":"string"},"type":{"description":"The type of the receiver (e.g. to, cc, bcc for email).","type":"string"}},"type":"object"},"channels.participants.contact_annotation":{"description":"Annotations add extra information to a sender or receiver. For email messages, the name annotation overrides the display name.","properties":{"name":{"type":"string"}},"type":"object"},"channels.participants.identifier":{"properties":{"identifierKey":{"description":"The identifier key for finding the contact (e.g. emailaddress, phonenumber).","type":"string"},"identifierValue":{"description":"The identifier value for finding the contact.","type":"string"}},"required":["identifierKey","identifierValue"],"type":"object"},"inbox.conversations.message_sender":{"allOf":[{"properties":{"email":{"type":"string"},"name":{"type":"string"}},"type":"object"},{"$ref":"#/components/schemas/inbox.conversations.participant"}]},"inbox.conversations.participant_ref":{"properties":{"contact":{"$ref":"#/components/schemas/inbox.conversations.participant_contact"},"id":{"type":"string"},"type":{"$ref":"#/components/schemas/inbox.conversations.participant_type"}},"required":["type","id"],"type":"object"},"inbox.conversations.platform_style":{"enum":["direct","email","direct-multiple","direct-threaded","group-multiple"],"type":"string"},"inbox.conversations.referral":{"properties":{"caption":{"type":"string"},"mediaType":{"type":"string"},"mediaUrl":{"type":"string"},"sourceId":{"type":"string"},"sourceType":{"type":"string"},"sourceUrl":{"type":"string"},"text":{"type":"string"},"timestamp":{"format":"date-time","type":"string"},"title":{"type":"string"},"username":{"type":"string"}},"required":["sourceId"],"type":"object"},"inbox.conversations.resource":{"properties":{"id":{"format":"uuid","type":"string"},"type":{"$ref":"#/components/schemas/inbox.conversations.resource_type"}},"required":["type","id"],"type":"object"},"inbox.conversations.resource_type":{"enum":["task","task-conversation","reimbursement","sales-lead","sales-opportunity","sales-account","expense","project"],"type":"string"},"inbox.conversations.status":{"enum":["deleted","active","closed","spam","archived"],"type":"string"},"inbox.conversations.conversation_style":{"enum":["default","directMessage","chatChannel","personalInbox","resource","groupInbox","support"],"type":"string"},"inbox.conversations.visibility":{"enum":["public","private","direct","group"],"type":"string"},"inbox.sla.timer":{"additionalProperties":false,"properties":{"expiresAt":{"format":"date-time","type":"string"},"metric":{"$ref":"#/components/schemas/inbox.sla.metric"},"severity":{"$ref":"#/components/schemas/inbox.sla.timer.severity"},"status":{"$ref":"#/components/schemas/inbox.sla.timer.status"}},"required":["metric","severity","status"],"type":"object"},"inbox.sla.timer.severity":{"enum":["breach","warning"],"type":"string"},"inbox.sla.timer.status":{"enum":["inactive","active","completed","expired"],"type":"string"},"inbox.agents.skill.assigned":{"description":"AgentAssignedSkill is a denormalized AgentSkill, and a part of Agent entity.\n","properties":{"id":{"format":"uuid","type":"string"},"name":{"type":"string"},"selectedValues":{"items":{"$ref":"#/components/schemas/inbox.agents.skill.assigned.value"},"type":"array"},"valueType":{"$ref":"#/components/schemas/inbox.agents.skill.value.type"}},"required":["id","name","valueType","selectedValues"],"type":"object"},"inbox.agents.skill.assigned.value":{"description":"AgentSkillValue is a denormalized AgentSkillValue, and part of AgentAssignedSkill entity.\n","properties":{"icon":{"type":"string"},"id":{"format":"uuid","type":"string"},"value":{"type":"string"}},"required":["id","value"],"type":"object"},"inbox.agents.skill.value.type":{"description":"AgentSkillValueType defines how can the Values of a Skill can be selected.\n","enum":["single","multiple","boolean"],"type":"string"},"inbox.feed.item.status.category":{"description":"The category maps to the lifecycle of a root item in the system.","enum":["new","inProgress","pending","closed"],"type":"string"},"ItemCount":{"type":"object","properties":{"total":{"type":"number","description":"The total number of results across all pages."}}},"pagination":{"properties":{"nextPageToken":{"description":"The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display.","type":"string"},"total":{"description":"The total number of results across all pages.","type":"integer"}},"type":"object"},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"},"error.validation":{"additionalProperties":false,"description":"A validation error returned from the API. The `details` map keys are JSON paths\npointing into the request body / parameters; values are arrays of human-readable\nmessages describing each problem with that path.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":{"items":{"type":"string"},"type":"array"},"description":"Per-field validation messages keyed by JSON path.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"ValidationError","type":"object"}},"responses":{"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."},"error.response.invalid_request":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.validation"}}},"description":"The request contains invalid parameters or body fields."}}},"paths":{"/workspaces/{workspaceId}/search/feed-items":{"get":{"description":"Retrieve a list of feed items based on the specified parameters.","operationId":"searchFeedItems","parameters":[{"$ref":"#/components/parameters/pagination.param.limit"},{"$ref":"#/components/parameters/pagination.param.pageToken"},{"$ref":"#/components/parameters/pagination.param.reverse"},{"$ref":"#/components/parameters/queryCountOnly"},{"$ref":"#/components/parameters/querySearchFeedItemsSort"},{"$ref":"#/components/parameters/queryIndexType"},{"$ref":"#/components/parameters/queryIndexId"},{"$ref":"#/components/parameters/queryItemIds"},{"$ref":"#/components/parameters/queryItemType"},{"$ref":"#/components/parameters/queryItemTypes"},{"$ref":"#/components/parameters/queryTicketNumbers"},{"$ref":"#/components/parameters/queryUnassigned"},{"$ref":"#/components/parameters/queryAgentIds"},{"$ref":"#/components/parameters/queryTeamIds"},{"$ref":"#/components/parameters/queryClosed"},{"$ref":"#/components/parameters/querySeen"},{"$ref":"#/components/parameters/queryArchived"},{"$ref":"#/components/parameters/queryTagIds"},{"$ref":"#/components/parameters/queryConversationIds"},{"$ref":"#/components/parameters/queryConversationName"},{"$ref":"#/components/parameters/queryConversationChannelIds"},{"$ref":"#/components/parameters/queryConversationStatuses"},{"$ref":"#/components/parameters/queryConferenceStatuses"},{"$ref":"#/components/parameters/queryConferenceTypes"},{"$ref":"#/components/parameters/queryConversationFeaturedParticipantIds"},{"$ref":"#/components/parameters/queryConversationParticipantTypes"},{"$ref":"#/components/parameters/queryConversationExcludeParticipantTypes"},{"$ref":"#/components/parameters/queryConversationLastMessageSenderParticipantTypes"},{"$ref":"#/components/parameters/queryConferenceId"},{"$ref":"#/components/parameters/queryItemStatuses"},{"$ref":"#/components/parameters/queryDateFrom"},{"$ref":"#/components/parameters/queryDateTo"},{"$ref":"#/components/parameters/querySearchTerm"},{"$ref":"#/components/parameters/querySlaPolicyId"},{"$ref":"#/components/parameters/queryHasSlaPolicy"},{"$ref":"#/components/parameters/querySlaPolicyStatus"},{"$ref":"#/components/parameters/querySlaMetric"},{"$ref":"#/components/parameters/querySlaStatus"},{"$ref":"#/components/parameters/querySlaExpiresBefore"},{"$ref":"#/components/parameters/querySlaExpiresAfter"}],"responses":{"200":{"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/ItemList"},{"$ref":"#/components/schemas/ItemCount"},{"$ref":"#/components/schemas/pagination"}]}}},"description":"ok"},"404":{"$ref":"#/components/responses/error.response.not_found"},"422":{"$ref":"#/components/responses/error.response.invalid_request"}},"summary":"Search feed items","tags":["feed"]}}}}
```

## Get feed for a channel, participant or team

> Retrieve the feed for a specific channel, participant, or team, containing updates, and interactions.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[{"description":"Fetch lists of conversations based on filters","name":"feed"}],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"Feed":{"type":"object","additionalProperties":false,"required":["id","indexType","indexId","name","itemCount"],"properties":{"id":{"type":"string"},"indexType":{"type":"string"},"indexId":{"type":"string"},"name":{"type":"string"},"emoji":{"type":"string"},"query":{"$ref":"#/components/schemas/SearchFeedItemsRequest"},"itemListOptions":{"$ref":"#/components/schemas/FeedItemListOptions"},"accessEntities":{"type":"array","items":{"$ref":"#/components/schemas/AccessEntity"}},"itemCount":{"type":"integer"},"unseenCount":{"deprecated":true,"type":"integer"}}},"SearchFeedItemsRequest":{"type":"object","required":[],"additionalProperties":false,"properties":{"conversationIds":{"type":"array","items":{"type":"string","format":"uuid"}},"sort":{"type":"string","default":"createdAt","enum":["createdAt","lastActivity","lastMessageByContact","slaExpires"]},"countOnly":{"type":"boolean","default":false,"description":"Return only the count of the results, not the results themselves"},"indexType":{"type":"string","enum":["channel","participant","team","agent","custom","task"]},"indexId":{"type":"string"},"itemIds":{"type":"array","items":{"type":"string","format":"uuid"}},"ticketNumbers":{"type":"array","items":{"type":"number"}},"itemType":{"type":"string","enum":["conversation","conference","task"]},"itemTypes":{"type":"array","items":{"type":"string","enum":["conversation","conference","task"]}},"unassigned":{"deprecated":true,"type":"boolean","description":"Search for feed items that have no agent assigned."},"agentIds":{"type":"array","items":{"oneOf":[{"type":"string","format":"uuid"},{"type":"string","enum":["me","any","none"]}]}},"teamIds":{"type":"array","items":{"type":"string","format":"uuid"}},"closed":{"type":"boolean"},"archived":{"type":"boolean"},"replyStatus":{"type":"string","enum":["noFollowUp","noCustomerReply","noAgentReply"]},"seen":{"type":"boolean"},"tagIds":{"type":"array","items":{"type":"string","format":"uuid"}},"conversationName":{"type":"string"},"conversationChannelIds":{"type":"array","items":{"type":"string","format":"uuid"}},"conversationStatuses":{"type":"array","items":{"type":"string","enum":["active","closed","deleted"]}},"conferenceStatuses":{"type":"array","items":{"type":"string","enum":["accepted","ringing","connecting","enqueued","active","hold","ended"]}},"conversationFeaturedParticipantIds":{"deprecated":true,"type":"array","items":{"oneOf":[{"type":"string","format":"uuid"},{"type":"string","enum":["me"]}]}},"participants":{"type":"object","additionalProperties":false,"properties":{"contacts":{"type":"array","items":{"type":"string","format":"uuid"}},"agents":{"type":"array","items":{"oneOf":[{"type":"string","format":"uuid"},{"type":"string","enum":["me"]}]}}}},"conversationParticipantTypes":{"type":"array","items":{"$ref":"#/components/schemas/ParticipantType"}},"conversationExcludeParticipantTypes":{"type":"array","items":{"$ref":"#/components/schemas/ParticipantType"}},"conversationLastMessageSenderParticipantTypes":{"type":"array","items":{"$ref":"#/components/schemas/ParticipantType"}},"fromContact":{"oneOf":[{"type":"object","additionalProperties":false,"required":["id"],"properties":{"id":{"type":"string","format":"uuid"}}},{"type":"object","additionalProperties":false,"required":["identifier"],"properties":{"identifier":{"type":"object","additionalProperties":false,"required":["key","value"],"properties":{"key":{"type":"string","minLength":1},"value":{"type":"string","minLength":1}}}}}]},"dynamicFields":{"$ref":"#/components/schemas/UpdateSummaryForm"},"conferenceId":{"type":"string","format":"uuid"},"itemStatuses":{"type":"array","items":{"type":"string","enum":["open","closed","archived"]}},"dateFrom":{"type":"string","format":"date-time"},"dateTo":{"type":"string","format":"date-time"},"searchTerm":{"type":"string"},"slaPolicyId":{"type":"string","format":"uuid"},"hasSlaPolicy":{"type":"boolean"},"slaPolicyStatus":{"$ref":"#/components/schemas/inbox.sla.policy.status"},"slaMetric":{"$ref":"#/components/schemas/inbox.sla.metric"},"slaStatus":{"type":"string","enum":["active","expired"],"deprecated":true},"slaExpiresBefore":{"type":"string","format":"date-time","deprecated":true},"slaExpiresAfter":{"type":"string","format":"date-time","deprecated":true},"query":{"$ref":"#/components/schemas/AnyPredicate"},"spam":{"type":"boolean","description":"If true, only return spam. Otherwise, only non-spam."}}},"ParticipantType":{"type":"string","enum":["user","contact","agent","flow","channel","connector"]},"UpdateSummaryForm":{"type":"object","nullable":true,"additionalProperties":false,"properties":{"settingsId":{"type":"string","description":"Optional. Either the uuid settings id, or \"default\" to use the default settings.    \nIf not specified, it will validate form input against the last saved form.\n"},"fields":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"selectedValueIds":{"type":"array","nullable":true,"items":{"type":"string"}},"valueText":{"type":"string","nullable":true},"valueNumber":{"type":"number","nullable":true},"valueBoolean":{"nullable":true,"type":"boolean"},"valueDate":{"type":"string","format":"date","nullable":true,"description":"The date value to set or search for.\n"},"valueDateBefore":{"type":"string","format":"date","nullable":true,"description":"The date value to set or search for.\n"},"valueDateAfter":{"type":"string","format":"date","nullable":true,"description":"The date value to set or search for.\n"}}}}}},"inbox.sla.policy.status":{"description":"Reflects the overall state of the SLA policy on a ticket.\n* `ok`: all metrics are green.\n* `needsAttention`: one or more metrics are in a warning state.\n* `breached`: one or more metrics are in a breached state.\n","enum":["ok","needsAttention","breached"],"type":"string"},"inbox.sla.metric":{"enum":["firstReplyTime","nextReplyTime"],"type":"string"},"AnyPredicate":{"anyOf":[{"$ref":"#/components/schemas/CompositionPredicate"},{"$ref":"#/components/schemas/ValuePredicate"}]},"CompositionPredicate":{"type":"object","additionalProperties":false,"properties":{"operator":{"type":"string","enum":["and","or","not"]},"children":{"type":"array","items":{"$ref":"#/components/schemas/AnyPredicate"}}}},"ValuePredicate":{"anyOf":[{"$ref":"#/components/schemas/AbsoluteDatePredicate"},{"$ref":"#/components/schemas/StringPredicate"},{"$ref":"#/components/schemas/NumberPredicate"},{"$ref":"#/components/schemas/BooleanPredicate"},{"$ref":"#/components/schemas/PresencePredicate"},{"$ref":"#/components/schemas/DynamicFieldsPredicate"}]},"AbsoluteDatePredicate":{"type":"object","additionalProperties":false,"required":["attributeName","operator","value"],"properties":{"attributeName":{"type":"string"},"operator":{"type":"string","enum":["is-after","is-before","is-on","is-equal-or-after","is-equal-or-before","is-between"]},"value":{"oneOf":[{"type":"string","description":"ISO 8601 (RFC3339) date-time format, should contain timezone.\nUTC example: \"2021-01-02T09:22:12.012Z\". UTC+1 Example: \"2021-01-01T09:22:12.012+01:00\"\nThere is one exception:\n  - \"date/is-on\" operator should be formatted as YYYY-MM-DD e.g. \"2021-12-31\";\n"},{"type":"array","items":{"type":"string"}}]}}},"StringPredicate":{"type":"object","additionalProperties":false,"required":["attributeName","operator","value"],"properties":{"attributeName":{"type":"string"},"operator":{"type":"string","enum":["contains","equals","in","matches","conventional-match","not-equals","starts-with"]},"value":{"oneOf":[{"type":"string"},{"type":"array","items":{"type":"string"}}]}}},"NumberPredicate":{"type":"object","additionalProperties":false,"required":["attributeName","operator","value"],"properties":{"attributeName":{"type":"string"},"operator":{"type":"string","enum":["equals","is-greater-than","is-less-than","in"]},"value":{"oneOf":[{"type":"number"},{"type":"array","items":{"type":"number"}}]}}},"BooleanPredicate":{"type":"object","additionalProperties":false,"required":["attributeName","operator","value"],"properties":{"attributeName":{"type":"string"},"operator":{"type":"string","enum":["equals","is-true","is-false"]},"value":{"type":"boolean"}}},"PresencePredicate":{"type":"object","additionalProperties":false,"required":["attributeName","operator"],"properties":{"attributeName":{"type":"string"},"operator":{"type":"string","enum":["is-set"]}}},"DynamicFieldsPredicate":{"type":"object","additionalProperties":false,"required":["attributeName","value"],"properties":{"attributeName":{"type":"string"},"operator":{"type":"string","enum":["and","or","not"]},"value":{"$ref":"#/components/schemas/UpdateSummaryForm"}}},"FeedItemListOptions":{"type":"object","nullable":true,"additionalProperties":false,"required":["sort","reverse","columns"],"properties":{"sort":{"type":"string","enum":["createdAt","lastActivity","lastMessageByContact","slaExpires"]},"reverse":{"type":"boolean"},"columns":{"type":"array","description":"A list of columns to display for each feed item.","items":{"type":"string","enum":["contact","contentSummary","lastActivityAt","createdAt","assignedTo","assignedToTeam","channel","tags","status","ticketNumber","sla","queue"]}}}},"AccessEntity":{"type":"object","additionalProperties":false,"required":["entityId","entityType"],"properties":{"entityId":{"type":"string","format":"uuid"},"entityType":{"type":"string","enum":["inbox-team","inbox-agent","managed-role","organization-role"]}}},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"}},"responses":{"error.response.forbidden":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The caller is not allowed to access the resource."},"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."}}},"paths":{"/workspaces/{workspaceId}/feeds/{feedId}":{"get":{"description":"Retrieve the feed for a specific channel, participant, or team, containing updates, and interactions.","operationId":"getFeed","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Feed"}}},"description":"OK"},"403":{"$ref":"#/components/responses/error.response.forbidden"},"404":{"$ref":"#/components/responses/error.response.not_found"}},"summary":"Get feed for a channel, participant or team","tags":["feed"]}}}}
```

## Updates Feed

> Perform an update on a given feed.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"UpdateFeed":{"type":"object","additionalProperties":false,"properties":{"name":{"type":"string"},"emoji":{"type":"string"},"query":{"$ref":"#/components/schemas/SearchFeedItemsRequest"},"itemListOptions":{"$ref":"#/components/schemas/FeedItemListOptions"},"accessEntities":{"type":"array","items":{"$ref":"#/components/schemas/AccessEntity"}}}},"SearchFeedItemsRequest":{"type":"object","required":[],"additionalProperties":false,"properties":{"conversationIds":{"type":"array","items":{"type":"string","format":"uuid"}},"sort":{"type":"string","default":"createdAt","enum":["createdAt","lastActivity","lastMessageByContact","slaExpires"]},"countOnly":{"type":"boolean","default":false,"description":"Return only the count of the results, not the results themselves"},"indexType":{"type":"string","enum":["channel","participant","team","agent","custom","task"]},"indexId":{"type":"string"},"itemIds":{"type":"array","items":{"type":"string","format":"uuid"}},"ticketNumbers":{"type":"array","items":{"type":"number"}},"itemType":{"type":"string","enum":["conversation","conference","task"]},"itemTypes":{"type":"array","items":{"type":"string","enum":["conversation","conference","task"]}},"unassigned":{"deprecated":true,"type":"boolean","description":"Search for feed items that have no agent assigned."},"agentIds":{"type":"array","items":{"oneOf":[{"type":"string","format":"uuid"},{"type":"string","enum":["me","any","none"]}]}},"teamIds":{"type":"array","items":{"type":"string","format":"uuid"}},"closed":{"type":"boolean"},"archived":{"type":"boolean"},"replyStatus":{"type":"string","enum":["noFollowUp","noCustomerReply","noAgentReply"]},"seen":{"type":"boolean"},"tagIds":{"type":"array","items":{"type":"string","format":"uuid"}},"conversationName":{"type":"string"},"conversationChannelIds":{"type":"array","items":{"type":"string","format":"uuid"}},"conversationStatuses":{"type":"array","items":{"type":"string","enum":["active","closed","deleted"]}},"conferenceStatuses":{"type":"array","items":{"type":"string","enum":["accepted","ringing","connecting","enqueued","active","hold","ended"]}},"conversationFeaturedParticipantIds":{"deprecated":true,"type":"array","items":{"oneOf":[{"type":"string","format":"uuid"},{"type":"string","enum":["me"]}]}},"participants":{"type":"object","additionalProperties":false,"properties":{"contacts":{"type":"array","items":{"type":"string","format":"uuid"}},"agents":{"type":"array","item
[...]
